{% extends "base.html" %}

{% block content %}


<div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
    <form class="form-signin col-md-10 col-md-offset-5" action="" method="post">
    <div class="text-center mb-4">

    <h1 class="h3 mb-3 font-weight-normal">Sign In</h1>

  </div>
        {{ form.hidden_tag() }}
        <p>
            {{ form.username.label }}<br>
            {{ form.username(size=32, class="form-control") }}<br>
            {% for error in form.username.errors %}
            <span style="color: red;">[{{ error }}]</span>
            {% endfor %}
        </p>
        <p>
            {{ form.password.label }}<br>
            {{ form.password(size=32, class="form-control" ) }}<br>
        </p>
        <p>{{ form.submit(class="btn btn-lg btn-primary btn-block") }}</p>
    </form>
</div>


{% endblock %}